# purefb_smtp – Configure SMTP for Pure Storage FlashBlade

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Configure SMTP for a Pure Storage FlashBlade.

- Whilst there can be no relay host, a sender domain must be configured.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purity_fb >= 1.1

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string |  | FlashBlade API token for admin privileged user.
domain string / required |  | Domain name for alert messages
fb_url string |  | FlashBlade management IP address or Hostname.
host string |  | Relay server name

## Notes

Note

- This module requires the `purity_fb` Python library

- You must set `PUREFB_URL` and `PUREFB_API` environment variables if fb_url and api_token arguments are not passed to the module directly

## Examples

    - name: Configure SMTP settings
      purefb_smtp:
        host: hostname
        domain: xyz.com
        fb_url: 10.10.10.2
        api_token: T-9f276a18-50ab-446e-8a0c-666a3529a1b6

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.